Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum https://forum.linuxiarze.pl

Surprising Upgrade

Started by dhinds, October 23, 2016, 04:42:48 PM

Previous topic - Next topic

dhinds

Although my intention was to do a fresh installation (I was no longer able to boot into my Sparky Ultra Openbox) and figured I'd save some time by installing Sparky Multimedia 4.4.  I installed over the same partitions (/, /home and swap), which recovered and upgraded everything.

The root partition was reformatted but the home partition wasn't.

I'm running the lxpanel above and the xfce4-panel below and everything's working better than ever.

One thing I want to do though is recreate a root/administrative user and password (as I had originally), since the user password is very simple.

pavroo

#1
To change your password, type:
passwd
and type your present password, then twice new one.

To change root password, type:
sudo su
and type your present password, then
passwd
and twice new root password.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

dhinds

Quote from: pavroo on October 23, 2016, 05:34:36 PM
To change your password, type:
passwd
and type your present password, then twice new one.

To change root password, type:
sudo su
and type your present password, then
passwd
and twice new root password.

Thanks Pavroo. As always, I receive rapid, concise and complete responses when needed. Sparky is tops!

randalhoctor

I've had an experience after this last round of upgrades his week.

My "user" lost all root access privileges. So, I couldn't launch Synaptic, gparted, and grub customizer.

So I learned how to give user sudoers temp root by edit of visudo (I hate nano btw and so exported to Leafpad

Then I learned to edit /etc/passwd to give user root level powers by editing to change UID and GID to 0. (Yes. I made an additional backup)

So, I learned a lot, but still can't get "user" to show up in LightDM menu AND in terminal can't get down to a regular $ state. Any ideas?

pavroo

You do not need to edit anything.
There was an issue with 'policykit-1-gnome' 0.105-4.
I uploaded from Sid version 0.105-5 to sparky repos so upgrade the package and reboot.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

pavroo

Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

View the most recent posts on the forum